qemu-kvm doesnt restart after node reboot

Bug #1720397 reported by Ernie Martinez on 2017-09-29
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
High
Unassigned
Ocata
High
Unassigned
Pike
High
Unassigned
qemu (Ubuntu)
Medium
Unassigned
Zesty
Undecided
Christian Ehrhardt 
Artful
Medium
Unassigned

Bug Description

[Impact]

 * Since the Zesty Merge the qemu-kvm service fails to be active by
   default.

 * It is a non required but rather useful helper, so it should be fixed to
   be enabled as it was pre zesty due to systemd-generators taking it from
   sysv scripts back then.

[Test Case]

 * Install qemu-system-common
 * Then check
   $ systemctl status qemu-kvm
 * This should be active (exited) but is currently disabled

[Regression Potential]

 * If this script causes any issue for someone (not known so far) and he
   was running on zesty a while it will on the SRU update be enabled and
   trigger these issues. Yet this is a generic argument and if that would
   be a blocker no services would be allowed to be enabled. I verified
   that if masked the service stays off as it should.

[Other Info]

 * IMO this issue qualified for (2) the following of the Final Freeze:
   2) Bug fixes that would be suitable for post-release SRUs, which we
   may choose to accept, reject, or shunt to -updates for 0-day SRUs
   on a case-by-base basis.

--

Upon a MAAS reboot openstack nova-compute services come up blocked with the following message in juju status:

Services not running that should be: qemu-kvm

services qemu-kvm status shows the services as dead
services qemu-kvm restart fixes issue.

ubuntu@fair-dingo:~$ service qemu-kvm status
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; disabled; vendor preset: enabled)
   Active: active (exited) since Thu 2017-09-28 19:54:17 UTC; 3min 20s ago
  Process: 33714 ExecStart=/usr/share/qemu/init/qemu-kvm-init start (code=exited, status=0/SUCCESS)
 Main PID: 33714 (code=exited, status=0/SUCCESS)

Linux MaaS 4.4.0-96-generic #119-Ubuntu SMP Tue Sep 12 14:59:54 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Juju 2.2.4-xenial-amd64

openstack 3.12.0

Joshua Powers (powersj) wrote :

Thank you for taking the time to file a bug report.

Can you provide the logs under /var/log/libvirt/*, as well as any relevant logs to help triage this issue further?

Thanks!

Joshua Powers (powersj) wrote :

I am going to mark this as incomplete, but once you upload additional logs please feel free to move this to new, and the next server team member will see the update and review.

Changed in qemu (Ubuntu):
status: New → Incomplete
importance: Undecided → Medium
Ernie Martinez (erniel29) wrote :

ubuntu@trusty-cicada:~$ service qemu-kvm status
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; disabled; vendor preset: enabled)
   Active: inactive (dead)

Ernie Martinez (erniel29) wrote :

Nothing under /var/log/libvirt/*

Attached syslog.

Ernie Martinez (erniel29) wrote :

Should have said, Empty directories under /var/log/libvirt/*

Changed in qemu (Ubuntu):
status: Incomplete → New

Hmm, indeed.

This might have been broken by the transition to a systemd service:
In newer versions that is:
$ service qemu-kvm status
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; disabled; vendor preset: enabled)
   Active: inactive (dead)

From:
$ dpkg -S /lib/systemd/system/qemu-kvm.service
qemu-system-common: /lib/systemd/system/qemu-kvm.service

And particularly interesting is the default:
$ systemctl is-enabled qemu-kvm.service
disabled

While the older sysV script was handled by the compatibility generators, and became
$ service qemu-kvm status
● qemu-kvm.service - LSB: QEMU KVM module loading script
   Loaded: loaded (/etc/init.d/qemu-kvm; bad; vendor preset: enabled)
   Active: active (exited) since Mi 2017-09-20 16:17:44 UTC; 2 weeks 6 days ago

$ systemctl is-enabled qemu-kvm.service
qemu-kvm.service is not a native service, redirecting to systemd-sysv-install
Executing /lib/systemd/systemd-sysv-install is-enabled qemu-kvm
enabled

This seems to have been changes in zesty already (qemu 2.8) and thereby Ubuntu Cloud Archive Ocata as well (Which I assume you use given you see that issue on kernel 4.4).
In that case I wonder why not more are seeing this issue - never the less it should be fixed.

Changed in qemu (Ubuntu):
status: New → Confirmed
importance: Medium → High
importance: High → Medium

On upgrades before Artful/Pike this file was not properly cleaned.
So maybe then they kept the old config with the sysV wrapper in those upgrade cases until cleaned up?

Anyway - I checked releases X to A and found that:
X - only sysv - ok
Y - only sysv - ok
Z - systemd service, disabled - bug
A - systemd service, disabled - bug

Along the placement of the default file we have in d/rules:
  dh_installinit -pqemu-system-common --no-restart-on-upgrade --error-handler=true --name=qemu-kvm
Since we have no dh --with systemd to cover automatically and formerly the generators picked it up by default as active (by considering the sysv active) this might now need something like:
  dh_systemd_enable -pqemu-system-common --name=qemu-kvm qemu-kvm.service

Given that this is broken for all of Zesty (and UCA-Ocata) time I'll mark it medium.
Depending how the testing works and if we collide with the Artful release locking down uploads the fix might be delayed a bit.

Changed in qemu (Ubuntu):
status: Confirmed → Triaged

Added a Cloud Archive Task since that is affected as well.

Changed in qemu (Ubuntu Zesty):
status: New → Confirmed
Changed in qemu (Ubuntu Artful):
assignee: nobody → ChristianEhrhardt (paelzer)
status: Triaged → In Progress
Download full text (5.9 KiB)

I was testing the fix from a ppa:

With debug enabled this looks much better now.

Install:

Setting up qemu-system-common (1:2.10+dfsg-0ubuntu3~ppa2) ...
(deb-systemd-helper DEBUG) is purge = no
(deb-systemd-helper DEBUG) action = unmask, scriptname = qemu-kvm.service, service_path = /lib/systemd/system/qemu-kvm.service
(deb-systemd-helper DEBUG) rmdir_if_empty /var/lib/systemd/deb-systemd-helper-masked
(deb-systemd-helper DEBUG) rmdir(/var/lib/systemd/deb-systemd-helper-masked) failed (No such file or directory)
(deb-systemd-helper DEBUG) is purge = no
(deb-systemd-helper DEBUG) action = was-enabled, scriptname = qemu-kvm.service, service_path = /lib/systemd/system/qemu-kvm.service
(deb-systemd-helper DEBUG) Reading state file /var/lib/systemd/deb-systemd-helper-enabled/qemu-kvm.service.dsh-also
(deb-systemd-helper DEBUG) Contents: $VAR1 = [];

(deb-systemd-helper DEBUG) All links present, considering qemu-kvm.service was-enabled.
(deb-systemd-helper DEBUG) is purge = no
(deb-systemd-helper DEBUG) action = enable, scriptname = qemu-kvm.service, service_path = /lib/systemd/system/qemu-kvm.service
(deb-systemd-helper DEBUG) Using systemctl preset to enable qemu-kvm.service
Created symlink /etc/systemd/system/multi-user.target.wants/qemu-kvm.service → /lib/systemd/system/qemu-kvm.service.
(deb-systemd-helper DEBUG) Renaming temp file /var/lib/systemd/deb-systemd-helper-enabled/.stateJvURx.tmp to state file /var/lib/systemd/deb-systemd-helper-enabled/qemu-kvm.service.dsh-also
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; enabled; vendor preset: enabled)
   Active: active (exited) since Mon 2017-10-16 14:27:33 UTC; 1s ago
  Process: 4559 ExecStart=/usr/share/qemu/init/qemu-kvm-init start (code=exited, status=0/SUCCESS)
 Main PID: 4559 (code=exited, status=0/SUCCESS)
      CPU: 4ms

Oct 16 14:27:33 artful-test-qemukvm systemd[1]: Starting QEMU KVM preparation - module, ksm, hugepages...
Oct 16 14:27:33 artful-test-qemukvm systemd[1]: Started QEMU KVM preparation - module, ksm, hugepages.

More critical - upgrade on a system that was formerly in the broken state (all since zesty and artful so far).

[...]
Setting up qemu-system-common (1:2.10+dfsg-0ubuntu2) ...
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
# _DEB_SYSTEMD_HELPER_DEBUG=1 apt install -y qemu-system-common; systemctl status qemu-kvmReading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
The following additional packages will be installed:
  qemu-block-extra
The following packages will be upgraded:
  qemu-block-extra qemu-system-common
2 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 441 kB of archives.
After this operation, 2048 B of additional disk space will be used.
Get:1 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu artful/main amd64 qemu-system-common amd64 1:2.10+...

Read more...

This issue qualified for the following of the Final Freeze mail:
I'll be adding a SRU Template to make things clear.

2) Bug fixes that would be suitable for post-release SRUs, which we
   may choose to accept, reject, or shunt to -updates for 0-day SRUs
   on a case-by-base basis.

description: updated

In the meantime also regression checks on the ppa completed.
Given the nature of the change nothing was expected, but better to confirm and it was ok not showing new issues.

That said uploading to Artful-proposed for evaluation of the release team if we want to push as-is, 0-day update or whatever else.

SRU to zesty after that completed.

Michael Quiniola (mcl0v1n) wrote :

I solved this problem by:

juju ssh nova-compute/0 (one of my bad nodes)
sudo systemctl enable qemu-kvm.service
sudo service qemu-kvm restart
sudo service nova-compute restart

Michael Quiniola (mcl0v1n) wrote :

To add to my comment above, if service nova-compute restart doesn't work, a node reboot does. The issue is that upon initial install there is no qemu-kvm.service enabled.

Hi Michael,
yeah manually enabling it is a workaround, but to let the maintainer scrtipts do it right on install is still the preferred way to do it.

But all looks good on the way to get it into artful, regression tests, dep8 tests, ...
Might just be blocked a bit by the release week freeze, but other than that the right fix is on its way.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.10+dfsg-0ubuntu3

---------------
qemu (1:2.10+dfsg-0ubuntu3) artful; urgency=medium

  * fix enablement of qemu-kvm service (LP: #1720397)
    - rename d/qemu-kvm.service to d/qemu-system-common.qemu-kvm.service
    - d/rules: add proper enablement debhelper calls
    - d/qemu-system-common.install: install covered by dh_installinit

 -- Christian Ehrhardt <email address hidden> Mon, 16 Oct 2017 11:28:39 +0200

Changed in qemu (Ubuntu Artful):
status: In Progress → Fix Released

For the Zesty fix I need to integrate two rounds of security updates first, but I'm working on the SRU prep now.

Download full text (3.3 KiB)

Prep done, tested from ppa working as intended on Zesty as well.

# systemctl status qemu-kvm
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
root@zesty-test:~# apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  qemu-block-extra qemu-kvm qemu-system-common qemu-system-x86 qemu-utils
5 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 6208 kB of archives.
After this operation, 2048 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu zesty/main amd64 qemu-system-common amd64 1:2.8+dfsg-3ubuntu2.6 [450 kB]
Get:2 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu zesty/main amd64 qemu-utils amd64 1:2.8+dfsg-3ubuntu2.6 [934 kB]
Get:3 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu zesty/main amd64 qemu-block-extra amd64 1:2.8+dfsg-3ubuntu2.6 [38.7 kB]
Get:4 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu zesty/main amd64 qemu-kvm amd64 1:2.8+dfsg-3ubuntu2.6 [13.2 kB]
Get:5 http://ppa.launchpad.net/ci-train-ppa-service/2992/ubuntu zesty/main amd64 qemu-system-x86 amd64 1:2.8+dfsg-3ubuntu2.6 [4772 kB]
Fetched 6208 kB in 1s (3280 kB/s)
(Reading database ... 46724 files and directories currently installed.)
Preparing to unpack .../qemu-system-common_1%3a2.8+dfsg-3ubuntu2.6_amd64.deb ...
Unpacking qemu-system-common (1:2.8+dfsg-3ubuntu2.6) over (1:2.8+dfsg-3ubuntu2.5) ...
Preparing to unpack .../qemu-utils_1%3a2.8+dfsg-3ubuntu2.6_amd64.deb ...
Unpacking qemu-utils (1:2.8+dfsg-3ubuntu2.6) over (1:2.8+dfsg-3ubuntu2.5) ...
Preparing to unpack .../qemu-block-extra_1%3a2.8+dfsg-3ubuntu2.6_amd64.deb ...
Unpacking qemu-block-extra:amd64 (1:2.8+dfsg-3ubuntu2.6) over (1:2.8+dfsg-3ubuntu2.5) ...
Preparing to unpack .../qemu-kvm_1%3a2.8+dfsg-3ubuntu2.6_amd64.deb ...
Unpacking qemu-kvm (1:2.8+dfsg-3ubuntu2.6) over (1:2.8+dfsg-3ubuntu2.5) ...
Preparing to unpack .../qemu-system-x86_1%3a2.8+dfsg-3ubuntu2.6_amd64.deb ...
Unpacking qemu-system-x86 (1:2.8+dfsg-3ubuntu2.6) over (1:2.8+dfsg-3ubuntu2.5) ...
Setting up qemu-block-extra:amd64 (1:2.8+dfsg-3ubuntu2.6) ...
Setting up qemu-utils (1:2.8+dfsg-3ubuntu2.6) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up qemu-system-common (1:2.8+dfsg-3ubuntu2.6) ...
Created symlink /etc/systemd/system/multi-user.target.wants/qemu-kvm.service → /lib/systemd/system/qemu-kvm.service.
Setting up qemu-system-x86 (1:2.8+dfsg-3ubuntu2.6) ...
Setting up qemu-kvm (1:2.8+dfsg-3ubuntu2.6) ...
root@zesty-test:~# systemctl status qemu-kvm
● qemu-kvm.service - QEMU KVM preparation - module, ksm, hugepages
   Loaded: loaded (/lib/systemd/system/qemu-kvm.service; enabled; vendor preset: enabled)
   Active: active (exited) since Tue 2017-10-17 10:48:15 UTC; 5s ago
  Process: 12329 ExecStart=/usr/share/qemu/init/qemu-kvm-init start (code=exited, status=0/SUCCESS)
 Main PID: 12329 (code=exited, status=0/SUCCESS)
      CPU: 18ms

Oct ...

Read more...

Per tests in c#17 and some regression checks being good, so uploading.
Ok, I see it in zesty-unapproved - ready for SRU review now.

Changed in qemu (Ubuntu Zesty):
status: Confirmed → In Progress
Changed in qemu (Ubuntu Artful):
assignee: ChristianEhrhardt (paelzer) → nobody
Changed in qemu (Ubuntu Zesty):
assignee: nobody → ChristianEhrhardt (paelzer)

Hello Ernie, or anyone else affected,

Accepted qemu into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qemu/1:2.8+dfsg-3ubuntu2.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in qemu (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-zesty
Download full text (9.8 KiB)

Verified on Zesty, here the console log as reference:

# apt update
Hit:1 http://archive.ubuntu.com/ubuntu zesty InRelease
Get:2 http://security.ubuntu.com/ubuntu zesty-security InRelease [89.2 kB]
Get:3 http://archive.ubuntu.com/ubuntu zesty-updates InRelease [89.2 kB]
Get:4 http://archive.ubuntu.com/ubuntu zesty-backports InRelease [89.2 kB]
Get:5 http://archive.ubuntu.com/ubuntu zesty/multiverse Sources [184 kB]
Get:6 http://archive.ubuntu.com/ubuntu zesty/main Sources [912 kB]
Get:7 http://archive.ubuntu.com/ubuntu zesty/universe Sources [8459 kB]
Get:8 http://archive.ubuntu.com/ubuntu zesty/restricted Sources [5064 B]
Get:9 http://archive.ubuntu.com/ubuntu zesty/universe amd64 Packages [8068 kB]
Get:10 http://archive.ubuntu.com/ubuntu zesty/universe Translation-en [4671 kB]
Get:11 http://archive.ubuntu.com/ubuntu zesty/multiverse amd64 Packages [154 kB]
Get:12 http://archive.ubuntu.com/ubuntu zesty/multiverse Translation-en [109 kB]
Fetched 466 kB in 7s (62.2 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
root@zesty-test-qemukvm:~# apt install qemu-system-common
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libboost-iostreams1.62.0 libboost-random1.62.0 libboost-system1.62.0 libboost-thread1.62.0 libiscsi7 libnspr4 libnss3 librados2 librbd1
  qemu-block-extra
The following NEW packages will be installed:
  libboost-iostreams1.62.0 libboost-random1.62.0 libboost-system1.62.0 libboost-thread1.62.0 libiscsi7 libnspr4 libnss3 librados2 librbd1
  qemu-block-extra qemu-system-common
0 upgraded, 11 newly installed, 0 to remove and 0 not upgraded.
Need to get 5771 kB of archives.
After this operation, 20.0 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu zesty/main amd64 libiscsi7 amd64 1.17.0-1 [55.6 kB]
Get:2 http://archive.ubuntu.com/ubuntu zesty/main amd64 libboost-iostreams1.62.0 amd64 1.62.0+dfsg-4 [27.5 kB]
Get:3 http://archive.ubuntu.com/ubuntu zesty/main amd64 libboost-system1.62.0 amd64 1.62.0+dfsg-4 [9398 B]
Get:4 http://archive.ubuntu.com/ubuntu zesty/main amd64 libboost-random1.62.0 amd64 1.62.0+dfsg-4 [11.1 kB]
Get:5 http://archive.ubuntu.com/ubuntu zesty/main amd64 libboost-thread1.62.0 amd64 1.62.0+dfsg-4 [46.9 kB]
Get:6 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 libnspr4 amd64 2:4.13.1-0ubuntu0.17.04.1 [112 kB]
Get:7 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 libnss3 amd64 2:3.28.4-0ubuntu0.17.04.3 [1143 kB]
Get:8 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 librados2 amd64 10.2.7-0ubuntu0.17.04.1 [1666 kB]
Get:9 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 librbd1 amd64 10.2.7-0ubuntu0.17.04.1 [2212 kB]
Get:10 http://archive.ubuntu.com/ubuntu zesty-updates/main amd64 qemu-block-extra amd64 1:2.8+dfsg-3ubuntu2.5 [39.0 kB]
Get:11 http://archive.ubuntu.com/ubuntu zesty-upd...

tags: added: verification-done verification-done-zesty
removed: verification-needed verification-needed-zesty
Corey Bryant (corey.bryant) wrote :

Hello Ernie, or anyone else affected,

Accepted qemu into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-pike-needed
Corey Bryant (corey.bryant) wrote :

Hello Ernie, or anyone else affected,

Accepted qemu into ocata-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:ocata-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-ocata-needed to verification-ocata-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-ocata-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-ocata-needed
Corey Bryant (corey.bryant) wrote :

OpenStack regression tests have passed successfully for xenial-pike-proposed with this package.

pike-proposed with next charms:

======
Totals
======
Ran: 102 tests in 1904.7099 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 794.0835 sec.

pike-proposed with stable charms:

======
Totals
======
Ran: 102 tests in 1976.6895 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 854.3158 sec.

The verification of the Stable Release Update for qemu has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Corey Bryant (corey.bryant) wrote :

This bug was fixed in the package qemu - 1:2.10+dfsg-0ubuntu3~cloud0
---------------

 qemu (1:2.10+dfsg-0ubuntu3~cloud0) xenial-pike; urgency=medium
 .
   * New update for the Ubuntu Cloud Archive.
 .
 qemu (1:2.10+dfsg-0ubuntu3) artful; urgency=medium
 .
   * fix enablement of qemu-kvm service (LP: #1720397)
     - rename d/qemu-kvm.service to d/qemu-system-common.qemu-kvm.service
     - d/rules: add proper enablement debhelper calls
     - d/qemu-system-common.install: install covered by dh_installinit

Corey Bryant (corey.bryant) wrote :

Regression testing with OpenStack tempest for Ocata has completed successfully.

xenial-ocata proposed stable charms:

======
Totals
======
Ran: 102 tests in 1742.1837 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 856.3288 sec.

xenial-ocata proposed dev charms:

======
Totals
======
Ran: 102 tests in 1987.3271 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 1008.6304 sec.

zesty-ocata proposed stable charms:

======
Totals
======
Ran: 102 tests in 1604.2247 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 843.3645 sec.

zesty-ocata proposed dev charms:

======
Totals
======
Ran: 102 tests in 1579.9423 sec.
 - Passed: 93
 - Skipped: 9
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 867.0801 sec.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qemu - 1:2.8+dfsg-3ubuntu2.6

---------------
qemu (1:2.8+dfsg-3ubuntu2.6) zesty; urgency=medium

  * fix enablement of qemu-kvm service (LP: #1720397)
    - rename d/qemu-kvm.service to d/qemu-system-common.qemu-kvm.service
    - d/rules: add proper enablement debhelper calls
    - d/qemu-system-common.install: install covered by dh_installinit

 -- Christian Ehrhardt <email address hidden> Tue, 17 Oct 2017 11:31:53 +0200

Changed in qemu (Ubuntu Zesty):
status: Fix Committed → Fix Released
tags: added: verification-ocata-done verification-pike-done
removed: verification-ocata-needed verification-pike-needed
Akshay Ranade (akshaysr) wrote :

Hi Corey, when will this fix be released for ocata?

Corey Bryant (corey.bryant) wrote :

Hi Akshay, This has been released for Ocata.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments